/*
 *  _____ _______         _                      _
 * |_   _|__   __|       | |                    | |
 *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
 *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
 *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
 * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT ZPRAVODAJSTVÍ  <>  PROGRAMOVÁNÍ  <>  HW A SW  <>  KOMUNITA
 *
 * Tento zdrojový kód pochází z IT sociální sítě WWW.ITNETWORK.CZ
 *
 * Můžete ho upravovat a používat jak chcete, musíte však zmínit
 * odkaz na http://www.itnetwork.cz
 */

class Diar {
	
    constructor(jazyk = "cs-CZ") {
    	const zaznamyZeStorage = localStorage.getItem("zaznamy");
        this.zaznamy = zaznamyZeStorage ? JSON.parse(zaznamyZeStorage) : [];
    	this.jazyk = jazyk;
	
    	this.nazevInput = document.getElementById("nazev");
    	this.datumInput = document.getElementById("datum");
    	this.potvrditButton = document.getElementById("potvrdit");
    	this.vypisElement = document.getElementById("seznam-ukolu");
    	
    	this.nastavUdalosti();
    }

    nastavUdalosti() {
    	this.potvrditButton.onclick = () => { // this zůstane nyní stále this
		    const zaznam = new Zaznam(this.nazevInput.value, this.datumInput.value);
		    this.zaznamy.push(zaznam);
		    localStorage.setItem("zaznamy", JSON.stringify(this.zaznamy)); // přidaný řádek
		    this.vypisZaznamy();
	    };
    }

    vypisZaznamy() {
    	this.vypisElement.innerHTML = "";
    	for (let i = 0; i < this.zaznamy.length; i++) {
		    const zaznam = this.zaznamy[i];
		    this.vypisElement.innerHTML += `<h3>${zaznam.nazev}</h3>kdy: ${zaznam.datum}<br>splněno: ${zaznam.splneno}`;
	    }
    }
    
}

